## History of Transcriber versions

Version 1.5.1

Changes or bugs fixed:

- Upper extensions are now recognized as valid extensions for transcription and audio files.
- A DTD different from trans13.dtd or trans14.dtd is not considered anymore as a former DTD.
- All unicode encoding are now supported on Windows
- Transcriber 1.5.0 refused to be launched if it found an external speaker database. That file was created when the speaker turns were modified. That bug has been corrected.
- The default browser (used for viewing help files) could not be set. This bug has been corrected.

Version 1.5.0

New or modified functions:

- A new DTD (trans-14.dtd) replace the old one (trans-13.dtd). For compatibility, files that need an older DTD can be opened with Transcriber-1.5.0. For such files, save or exit without any changes will display a message that inform you that the original format of your file is older than the format of your Transcriber application. You can choose to export in new format (recommended) or keep the original one.
- improvement of the "save audio selection" function: the menu entry is now "Save audio segment(s)" with two submenus "Selected..." and "Automatic...". You can also reached this function with contextual menu by right clicking on the signal and look in "Audio file" entry. The first submenu do exactely the same as the old function (i.e. save an audio selection) and the second one is an automatic mode to save all the audio segemnts corresponding to section, turn and sync. A dialog box allow you to choose wich kind of segment do you want and where you want to save it in.
- the event tags can now be translated when displayed in Transcriber, but they are not translated in TRS files.
- the binary released 1.5.0 is now available on Linux, Windows
- the spell checker is now Aspell and works on Linux and Windows
- help files are now viewed with the default browser
- shape computation for large files is now available on Windows
- help files are available in German
- now, when you destroy a begin or end event it also destroy the symetric associated event.
- trs files are associated to Transcriber on Windows
- shortcuts F1 to F7 are available. F1 is for help, F2 to F7 are used to hide or not the different parts of the interface (text, NE, command button, first and second signal view and message display).
- creation of a new event "Named entities" for named entities (NE) annotation. The F3 button is a shortcut that make available an interface to easily annotate NE. Automatic annotion is possible and every colors or fonts are configurable. The list of entities can also be modified. More details in the reference manual.
- creation of a global speakers database which contains all the global speakers you have imported in it. Import is done by Edit->Speakers->Update global speakers database, then you have to select the file from wich you want to import global speakers. More details in the reference manual.
- transcription files may use a different format than the original one provided with the package, provided that they point to a DTD located in the same directory, that their root element is still <Trans> and that they are in a superset of the existing format. Unknown XML tag will be only displayed in gray, but may not be edited. Any XML file whith <Trans> root tag is now supposed a valid .trs file, regardless of its actual extension (it used to be limited to .trs and .xml).
- it is possible to define a default topic or speaker import file, loaded when opening a transcription or creating a new one, using 'Edit/Speaker|Topic/Automatic import from selected file'
- export a transcription to text format in a simple "Speaker i: transcription" format; control over the formatting may be done by setting some configuation values on the command line or in the configuration file - see convert/text.tcl for more details (NB: a beta version of this filter was already distributed in the 1.4.6)
- display of NIST RT'03S .mdtm format (speaker subset only).
- added "-version" command line option.

changes or bug fixes:

- removing of lrec documentation (useless)
- removing of html_library (useless)
- Migration of user preferences to Transcriber 1.5.0 (Event widget size is reset)
- popups Find/Replace, Find Speaker, Find Topic, Spell Checker, Control Panel, Informations are now in foreground
- a warning window pops up if more than one transcription line is deleted
- fixed bug : an error message appeared when doing File/Synchronized Audio File/Add Audio File. That made the function unvailable.
- fixed bug : on some platform when using the Num_lock key, the edition was impossible.
- fixed bug : when changing localisation (for example english to french) the contextual menu of the wave were not translate so that when you wanted to open an audio file, an error message appreared.
- a warning message is displayed when temporal inconsistencies are found in a .trs file.
- Export to .stm format now includes a commented header giving information about the conversion process, and the file is written in the user-defined encoding (rather than the default system encoding) - it may be possible to override it on the command line e.g with 'trans -set encoding utf-8 -export stm *.trs'.
- multiwav extension now has a menu entry in the main 'File/Synchronized audio files' menu.
- 'Open segmentation file..' has been moved frome 'Options/Display' to 'File' menu.
- default string for new speaker or topics may be modified (currently only by editing the default settings or the configuration file, see etc/default.txt).
- improved parsing of LDC hub4 files in sgml/utf formats for segmenation display.
- bug corrected in the "-set" line option.
- bug corrected in saving a modified localization file.
- command line option "-export" may be used instead of "-convertto".
- Transcriber is launched in batch mode (i.e. with tclsh rather than wish) by 'trans' script when -export or -help command line options are found.
- under Tcl/Tk 8.4, it should be possible to open multiple files in a single dialog for the multiwav and segmentation features.
- convert filters using the extended tcl API 'readSegmtSet' have been made backward compatible with previou versions (<1.4.6).

Version 1.4.6

Released on October 3, 2003.

New or modified functions:

- multiwav extension, allowing several synchronized audio files to be associated with a single transcription. New audio files can be added using the contextual menu on the waveform (right-click), or a list of audio files can be given on the command line when launching the tool. It is derived from an original proposal by David Gelbart and Dan Ellis from ICSI, intended for meeting recordings management.
- Czech localization of the menus added, kindly provided by Zdenek Konopasek.
- Management of several configuration files (menus "Options/Save configuration as..." and "Options/Load configuration file..."); a configuration file may be specified at startup with '-cfg filename' command line option.
- Save audio selection in a separate .wav file (menu "File/Save audio selection as...").
- Explicit message when signal shape is not available and resolution display is thus limited.
- Text editor may be hidden (checkbox menu "Options/Display/Text editor", '-notext' command line option).
- Segmentation layers for background, sections or turns which are not in use (i.e. having a single segment for the whole document) may be automatically hidden (checkbox menu "Options/Display/Smart segmentation display").
- Random colorization of the turn segmentation layer, so that a color is automatically attributed to all occurences of the same speaker in the document (checkbox menu "Options/Display/Colorize speaker segments").
- Open a label file and display under the signal (menu "Options/Display/Open segmentation file..." or command line option "-lbl filename" -- option may be repeated). The label file information may span several segmentation layers.
- Improved support of NIST .ctm file (including RT'03 format extensions and multi-level display as labels); .stm can be either imported or displayed as multi-level labels.
- Added '-convertto format filename ...' command line option for converting a set of file from the Transcriber format to the given format in batch mode.
- Various other command line options added: '-set option value' for overriding configuration value, '-sig2' for display of second signal view, '-socket' for activation of external scripting service, '-help' for a list of options.

changes or bug fixes:

- added compatibility update for Tcl8.4, due to changes in (internal) Tcl and C API. Transcriber binary libs will probably be incompatible between Tcl versions 8.3 and 8.4
- added support for Mac OS X (Darwin/Aqua).
- extended conversion filter API with 'readSegmtSet', for management of multi-level label files.
- discard unreadable default signal or transcription files from a configuration file.
- localization of the interface is now in a separate file for each language, for a better extensibility.
- segmentation layer name in the signal contextual menu becomes more explicit ("Background", "Turns", etc.)
- resolved a confusion involving GB-2312 encoding

Version 1.4.5

Released on July 11, 2002.
needs Tcl/Tk 8.0-8.3, Snack 1.7 or preferably 2.0.1, tcLex 1.2

New or modified functions:

- added new playback mode stopping before (rather than after) next boundary; added related menu entry
- added menu entry and ctrl-return binding for playing next segment
- added bindings alt-backspace/delete for deleting word before/after cursor respectively.
- added ctrl-alt-t binding for modifying turn attributesImplementation.
- added support for floating boundaries. They are viewed in the text editor as empty circles (standard boundaries being displayed as full bullets) and it is possible to toggle the state of each boundary or of the whole set of boundaries by right-clicking (or control-left-clicking) on the bullet (except the first one). When a boundary is moved, the neighbouring floating ones move while keeping a proportionality up to the next "hard" boundary. A floating boundary becomes automatically fixed after being moved. The floating state is marked in the .trs format with a space before the time value (this behaviour is meant for backward compatibility of .trs files with prior versions of Transcriber and should evolve in the future). Floating boundaries are intended for later support of import and edition of non-temporized manual transcriptions or dialogs.
- added import filters for various formats defined by NIST speech group (/www.nist.gov/speech/), especially the output of the 'sclite' scoring tool (alignement between word hypothesis from automatic speech recognition and manual reference) - see header of convert/sclite.tcl file -, the acoustic segmentation .sdt format and the word segmentation .ctm format (developed for the Coretex European project).
- reworked remote playback support (the script tcl/SoundServer.tcl needs to be launched on the client side) - feature still experimental
- support for client-server scripting of Transcriber through sockets. One need to launch the tool with: "trans -patch tcl/Socket.tcl" - see tcl/Socket.tcl for details on API. Experimental, intended for interface with other tools.

changes or bug fixes:

- improved support for NIST .stm format (convert/stm.tcl).
- store encoding used along with default settings and localization texts for better portability.
- improved default setting of shape directory for Windows/Mac platforms.
- turn around for Tcl8.3.2 bug involving 'a grave' appearing as 'A tilde'.
- turn around for Tk bug resulting in a bad cursor position when moving to the end of a word.
- define word boundary to be empty char on Unix platform, similar to Windows settings.
- take user preference about start or end of line into account when changing line with cursor.
- do not limit temporal display to 30 sec any more when the signal is not available.
- case insensitive split of the apostrophe for French and Italian spell checking.
- selection of a speaker in the list of speakers in the turn attribute windows now also possible with space keystroke.
- corrected automatic XML encoding detection for OS whose default encoding is not ASCII compatible (e.g. asiatic).
- corrected possible display inconsistency of axis (delayed repaint).
- various corrections to the configuration/compilation step.

Version 1.4.4

Released on April 19, 2002.
needs Tcl/Tk 8.0-8.3, Snack 1.7 or preferably 2.0.1, tcLex 1.2

New or modified functions: none.

Implementation changes or bug fixes:

- The cursor disappeared after playing a segment with Shift-Tab - fixed.
- The waveform display was sometimes not correctly refreshed - fixed.

Version 1.4.3

Released on June 21, 2001.
needs Tcl/Tk 8.0-8.3, Snack 1.7 or preferably 2.0.1, tcLex 1.2

New or modified functions:

- when Snack version 2.0 is installed with Transcriber, it is possible to play only the left or right channel from a stereo file using the new menu `[Signal]/[Stereo channel]`. It has no effects for mono sound files or when previous Snack version 1.7 is used.
- new conversion filter to .html format, which makes printing the transcription possible from any browser.
- new conversion filter to .cha (Childes/CHAT) format provided by Zhibiao Wu. Support for this format is yet experimental. When reading a ".cha" file, the tool switches to a CHAT mode with new attributes available in the interface. It switches back to the initial mode when creating a new transcription or reading a file in any non-Chat format.
- convert filter to .stm format has been modified; import from .stm is limited to the transcription.
- at first startup, the window automatically fits the whole screen; further resizing is better managed.
- slight corrections for signal and cursor display.
- (hidden feature, activated by putting 'hideLevels 1' in the configuration file): when reading a segmentation file (i.e. .lab file), hide the section/turn/background segmentation levels under the signal since they are always empty (their display can be switched on again using contextual menu available with the right button on the signal)

Implementation changes or bug fixes:

- Transcriber has been ported for the Macintosh/G3 platform (thanks to L. Spektor for the modifications). A new sub-directory 'src/mac' includes resources for the compilation of Snack, tcLex and Transcriber on a Mac with CodeWarrior Pro 5.
- automatic detection of sound files associated to a transcription file now works also for uppercase extensions (e.g. .WAV); it used to recognize only lowercase extensions (e.g. .wav).
- `src/shape.c` is now integrated into Snack1.7 (thanks to K. Sjölander) and is no longer distributed with Transcriber. Various parts of the code (`src/wavfm.c`, `tcl/Signal.tcl`, `tcl/Play.tcl`,...) has been modified according to the syntax of the new Snack commands. As a result, Transcriber 1.4.3 doesn't work with Snack 1.6.
- the format of the sound shapes has changed and has now the suffix ".shape". Previously computed shapes with ".shp" extension become useless and can be removed.
- `src/segmt.c`: corrected a bug in BorderTableFree (attempt to free an empty pointer when a wrong segment color name was given)
- `src/wavfm.c`: a double pixmap buffering is used for speeding up cursor-only changes (BTW, pixmaps are now freed at the end); a new widget sub-command 'cursor' has been created for that purpose and is used in tcl/Waveform.tcl:proc Cursor.

Version 1.4.2

Released on January 6, 2000
needs Tcl/Tk 8.0-8.2, Snack 1.6, tcLex 1.2

New or modified functions:

- boundary move can be forced with Shift-Button2 (or Shift-Control-Button1) - in this case, other boundaries are pushed accordingly.
- a break can be forced inside a segment with Shift-Return
- different playback modes can be chosen in [`Signal`]/[`Playback mode`] menu (continuous, with pauses, stop or beep at segment boundaries, or looping on segment or selection). The mode applies to any further playback. Default pause duration, beep file, and also an initial step back before playing are set in [`Options`]/[`Audio file...`].
- default position of the text cursor during automatic synchronization with the signal can be chosen in [`Options`]/[`General...`] between start and end of line (it used to be the end of line).

Implementation changes or bug fixes:

- in the 'Find and Replace' window, the 'Replace all' button sometimes caused an infinite loop - replacement is now stopped at the end of the document. Replacement of text within event descriptions failed and is now avoided.
- in the `segmt` widget, segments are now splitted vertically at first form-feed character instead of newline.
- execution failed if the installation pathname contained spaces - fixed.
- on first launch, open dialog box in the 'demo' subdirectory rather than in the current directory.
- when cancelling a font chooser and saving the configuration (i.e., [`Options`]/[`Fonts`]/[`...`], then `Cancel`, then [`Options`]/[`Save configuration`]), current font description was lost - fixed.
- always display cursor time with 3 digits precision.
- a date change with monitoring activated caused an infinite loop (e.g. after a night of inactivity).
- under Windows, user configuration file is now saved in the $USERPROFILE directory
- upon creation of a new turn, the channel setting was lost - fixed.
- the list of encodings is now located inside the `etc/default.txt` file for easier (manual) configuration.
- the character set used in any encoding remained restricted to iso-latin1 in version 1.4.1; it is now extended to the whole Unicode set for Tcl/Tk8.1 or higher. However, it is not possible to choose a font for a specific encoding, and display of non-ascii chars sometimes fails.
- `src/shape.c` slightly modified to follow API change in Snack1.6.4

Version 1.4.1 (offers Unicode support under Tcl/Tk 8.1.1 or higher)

Released on October 28, 1999
needs Tcl/Tk 8.0-8.2, Snack 1.6, tcLex 1.2
compiled under Linux/x86 (Debian 1.3/2.0), Linux/alpha, Solaris (SunOS 5.5), SGI (IRIX 6.2).

New or modified functions:

- Unicode support, only available under Tcl/Tk 8.1.1 or higher. The encoding used for writing the transcriptions can be chosen in [`Options`]/[`General...`]. It defaults to ISO-Latin-1, but can be modified to Unicode (UTF-8) or other widespread 8-bits encodings. The same user-defined encoding is used for reading transcriptions produced by earlier versions of Transcriber without encoding header. Under Tcl/Tk 8.0, the behaviour remains unchanged and makes reading transcriptions in Unicode not possible.
- Changing all occurences of a speaker to another already existing one is possible by changing the old name to the new one.

Implementation changes or bug fixes:

- with Transcriber 1.4 under Tcl/Tk8.1.1 or higher, display of non-ASCII chars in the segmentation tier under the signal was followed by garbage; this has been corrected. Any Unicode char should be now correctly displayed, provided it is available in an installed font.
- for Windows, call to `XDrawLines` in segmt.c with empty segment is avoided.
- the transcription input/output has been modularized; modules can be added into the `convert` sub-directory for supporting new input or output formats (see `convert/README` file).

Version 1.4 (mostly a stable version of 1.3 beta)

Released on September 27, 1999
needs Tcl/Tk 8.0-8.2, Snack 1.6, tcLex 1.2
compiled under Linux/x86 (Debian 1.3/2.0), Linux/alpha, Solaris (SunOS 5.5), SGI (IRIX 6.2).

New or modified functions:

- handling of raw sound files is improved - a default header size can be given in the [`Options`]/[`Audio file...`] window; changes to the default raw sound files settings immediately apply to the current sound file if necessary.
- background color of selected signal can be modified by the user - this can be necessary when not enough colors are available in the colormap.
- a sample of speech conversation transcription is provided in the demo sub-directory.
- the Help is viewed through '`netscape`' when it is available.
- a -`patch directory_name` option has been added to the command line options for 'trans'; this will allow loading some extensions to the tool at startup in the future.

Implementation changes or bug fixes:

- no more Makefile at the root directory - all compilation and installation is done from within the '`src`' sub-directory.
- the DTD has been extended with the "elapsed_time" field in the Trans tag (intended for total transcription time monitoring, but not currently used)
- shape calculation mode disabled by default for Windows platform; background calculation is always disabled.

Version 1.3b7

Released on July 6, 1999
needs Tcl/Tk 8.0 or 8.1, Snack 1.5p2 or 1.6a2 (do not use 1.6b1 under Linux), tcLex 1.1.3 (do not use older release with Tcl/Tk8.1)
compiled under Linux/x86 (Debian 1.3/2.0), Linux/alpha, Solaris (SunOS 5.5), SGI (IRIX 6.2), Windows NT.

New or modified functions:

- check spelling (GUI for using 'ispell' external program)
- upon reading a transcription, look for a more recent automatically saved version and ask user to restore from this version instead (in case of crash during previous session)
- playback with pauses at segment boundaries (menu [`Signal`]/[`Play with pauses`])
- significant update of French user and reference manuals
- remote sound file server is functional again (tcl/SoundServer.tcl has to be launched on the host)
- menu for sorting an edited list (bindings, localization, etc.) upon any field (name, value...)
- slight modifications in .stm format

Implementation changes or bug fixes:

- no clock calibration needed anymore (instead, native Snack "audio elapsedTime" function available since 1.5p2 is used); cursor and callbacks management in tcl/Play.tcl updated.
- mp3 sound files work with the most recent Snack versions (1.6a2).
- new Snack sub-command "order", to be used in conjunction with "shape" and "get" sub-commands for remote sound file access in heterogeneous network.
- use a specific Snack API allowing support of Transcriber under Windows NT platform.
- updated "Help" menu for display of correct .html files.

Version 1.3b6

Released on May 17, 1999

New or modified functions:

- completely new French reference and user manual (HTML format)
- current cursor position in signal and vertical zoom are now saved with session configuration
- at user option, saving current configuration is proposed before leaving
- direct access to a cursor position is now possible with menu [Signal]/[Go to...] or by clicking on the message under the signal
- direct control of sound level in [Signal]/[Control Panel]; vertical zoom moved to the same window
- at startup, sound files are automatically detected, even if their suffix is unknown or lacking (in 1.3b5, they were rejected with the message "format unknown"); more suffixes are now recognized (.aif, .aiff, .smp)
- move segment boundaries can also be done using control-left button 1 (instead of middle button) for 2-buttons only mouse users.
- modification date and version are not editable any more in Episode window.
- language list is now displayed in lexicographical order of the current langugage.

Implementation changes or bug fixes:

- corrected bug in 1.3b5 with activity logging when day changed during session (caused infinite loop)
- corrected bug in update of turn and section button colors in the text editor
- changed duration for recalibration of clock to 10 seconds.

To be corrected or not implemented:

- "undo" very limited
- no spelling correction, automatic completion etc. yet
- no printing
- mp3 sound files partially working, but randomly causing Transcriber to crash

Version 1.3b5

Released on March 23, 1999

New or modified functions:

- transcription time monitoring has been rewritten and is displayed inside the "Informations" window if a log file is given
- upon startup, user is asked either for a transcription file or for an audio file.

Implementation changes or bug fixes:

- bug in 1.3b4 with turn attributes edition

Version 1.3b4

Released on March 16, 1999

New or modified functions:

- Cut/Copy/Paste of mixed text and events works as expected
- Bindings replacement string can include Events (through copy/paste or directly with selection); binding key can be typed as-is in the editor field
- Automatic space insertion at user option
- Save the geometry of some windows
- A user glossary is available
- Imported speaker can be selected; topics can also be imported the same way. Unused topics and speakers can be removed. All these functions are available with menu "Edit/Speakers" or "Edit/Topics"

Implementation changes or bug fixes:

- Bug correction in shape.c for 8bit wav sound files
- Format used in list edition since 1.3b3 slightly modified to allow a generic n-fields edition instead of 2-fields only

Version 1.3b3

Released on March 7, 1999

New or modified functions:

- DTD: extended Event tag with attributes type (noise/lexical/pronounce/language) and extent (begin/end/previous/next/instantaneous); previously defined Events default to instantaneous noise.
- Edition of Event has been upgraded to ths new format
- Background shape computation is back at user option
- Events are displayed in the segmentation bar; they weren't any more in 1.3b2
- Overlapping speech is now managed inside turn window
- Turns and sections can be destroyed from within their edition window
- Information window now also gives information about transcription
- Signal and transcription name are both displayed in the button bar when necessary
- Better localization of the interface
- Added menu "File/Export/..." for explicit exportation to non-native format; "File/Save" and "File/Save as..." always use native XML format
- Default extension of transcription files has been changed to .trs; .xml can still be used
- User configuration of:
  - language list (in iso639 code)
  - noise events list
  - pronounce events list
  - lexical events list
  - display format of events, their color
  - bindings
  - localization strings in any language

Implementation changes or bug fixes:

- Switched to Snack1.5 (final), tcLex1.1 (final) and tcl8.0.5 for development (should still work with previous 8.0.x)
- C sources: reworked shape.c for use of latest Snack function and shape display of any type of sound file, including compressed ones.
- File format .typ has been corrected to come back to 1.2 behaviour
- Updated Transcriber URL to its new home page inside distribution and docs
- no more patch to tk_getSaveFile lib for choosing the save format

Version 1.3b2

(not publically) released on February 12, 1999

New or modified functions:

- DTD:
  - added channel attibutes in Turn tag (=telephone/studio)
  - added scope attribute in Speaker tag (=local/global)
- Added "File/Import speakers..." menu: import all speakers from a .xml file
- Automatic insertion of spaces before punctuations
- Suppressed "File/Close" menu
- Write to .stm format for further exploitation

Implementation changes or bug fixes:

- Modifs to Xml parsing libs

Version 1.3b1

Released on January 21, 1999 - test under Linux (Debian 1.3/2.0), Solaris (SunOS 5.5), SGI (IRIX 6.2).

New or modified functions:

- a new XML format becomes the native format for the tool instead of LDC's .typ
- validity of the transcription is checked upon the DTD (i.e. the syntax of the format)
- general informations about the transcriber name, the emission or the signal file are now kept along with the transcription
- when opening a transcription, the corresponding sound file is open automatically
- background music or noise is now handled and displayed in a separate transcription tier
- Speech or non-speech events and of comments are now handled as XML tags rather than normal text
- management of overlapping speech has been reworked
- management of speakers and topics is easier and more powerful, and allows global research and edition of speakers or topics
- automatic shape computation for large signals can be disabled at user option
- loading raw files is once again a problem - but it should work even better than before with future updates of Snack module...
- transcriber's productivity can be logged in a file at user option

Implementation changes:

- SoX libraries aren't used anymore; instead, all sound files are accessed with Snack module; specific open_sound and play_sound command disapeared
- tcLex module from Frédéric Bonnet (a lexical analyser generator for Tcl) is now used for the implementation of an object-oriented tcl-only validating XML parser
- installation procedure and global tool structure has been reworked thanks to D. van Leeuven useful hints

Version 1.2

Released on September 16, 1998 - test under Linux (Debian 1.3 and Redhat 4.3), Solaris, SGI (IRIX 6.2).

New functions:

- Signal:
  - Display topic and speaker segmentation under the waveform along with text segmentation.
  - Ability to display a second view of the signal at a different scale.
  - Possibility to open raw sound files.
  - Contextual menus on the waveform for direct actions on the signal and its display.
- Transcription:
  - Undo/Redo, limited to segmentation boundary moves and text changes (undo all text modifs in the current segment since cursor moved into it).
  - Find and replace in the text.
  - Automatic auto-save at periodic intervals.
  - New XML format for transcription output (format will probably be modified soon - see discussion about formats).
- Management of overlapping speech over one segment.
- More configurable options (fonts, colors, windows to display...). Most user choices (including current sound file, transcription file and current resolution display) are saved in the "~/.transcriber" user configuration file upon request.
- Localization of the menus in english or in french as option; other languages can be easily added.
- Help in HTML format.

Bug fixes:

- Topics were lost when file was saved as ".typ". Original LDC format was slightly modified to include topic. Markup for overlapping speech is now recognized.
- Default configuration file was named "~/.trancriber" (without 's'); it was corrected.
- Shortcut for 'Signal/Replay Segment' has been moved from <Alt-Tab> to <Shift-Tab>; it could be a problem on some platforms.
- Menus 'Segmentation/Move to.../First segment' and '.../Last segment' are now executed.
- ... plus a lot of minor changes

Implementation changes:

- Internal data management has been completely rewritten. Transcriptions are stored in memory as a tree structured like an XML file, and are accessed with a set of procedures in "tcl/Tags.tcl". Input file parsing is very simplified (an XML-conformant library using tcLex extension for Tcl written by Frédéric Bonnet is under development).
- Sound files are accessed via a new Tcl command "open_sound" which calls sox and/or sphere libraries and creates a new "sound-file" Tcl command - not (yet) compatible with Snack "sound" commands. Playback with a new Tcl command "play_sound" which calls Snack libraries. These functions are documented in the "doc" sub-directory.
- Sound shape (pre-computed at the resolution of 10 ms per pixel) are not computed in background any more. Rather, the interface is stopped the first time a large sound file is open during the shape computation; it is then saved for the next time it is needed.
- Remote audio playback server is no longer available; it seemed not to be essential, and Snack playback design is more robust. Remote audio file server is still in the distribution, but the default behaviour is to read audio files locally without launching the audio file server on the local host. If needed, the file server should be configured before launching to avoid security holes (e.g. by testing the client port or the sound file directory).
- axis, wavfm and segmt new Tk widgets have been updated (but they are not yet documented):
  - wavfm widget now calls a "sound-file" command created with the "open_sound" command for shape calculation rather than reading/writing a channel (pipe or socket). Widget options "-width" and "-height" added.
  - segmt widget support one indirection level for time indices : start and end segment times can be an index in an associative array. Time array and list of segment variables are automatically traced, and the widget is redisplayed if they are modified. Some minor other fixes.
  - axis and segmt widgets are redrawn if named fonts are modified (allows interactive fonts configuration).

- Distribution structure:
  - the main distribution directory is now named Trans-x.y (x.y being 1.2 in this version). For simplification, the "editor" sub-directory has been suppressed and its content ("doc", "img", "src", "tcl") is in the first level. The "pkg" sub-directory has been renamed "lib". The "bin" and "obj" sub-directory are no longer used.
  - all C extensions to Tcl/Tk are grouped in a single auto-loadable package "libtrans.so"; there are no binary executable to be launched in background any more.
  - a patched version of the last distribution of SoX (v-12.14) is included in the distribution in the "contrib" sub-directory
  - html_library-0.3 from Stephen Uhler is included in the "lib" sub-directory.
  - Snack official distribution is used without any patch. The lite version of the package is installed in the "lib" sub-directory.
  - a configure procedure is available for the compilation of C sources in the "src" sub-directory

Version 1.1

Released on June 26, 1998 - test under Linux (Debian), Solaris, SGI.

Modifications:

- SNACK 1.1 module from Kåre Sjölander is used instead of Sox libraries for audio playback. This solution is more stable and portable : Snack works under HP-UX, Sun Solaris, SGI IRIX, Linux, and Windows 95/NT. The module is used in a patched version.
- No modifications of the user interface, installation procedure still rather crude.

Version 1.0

Released on May 25, 1998 - development under PC/Linux (Debian 1.3); test under Sun Solaris.